Index: lib/style/skins/semtools/jsTree/_demo/_inc/class._database.php
===================================================================
--- lib/style/skins/semtools/jsTree/_demo/_inc/class._database.php	(nonexistent)
+++ lib/style/skins/semtools/jsTree/_demo/_inc/class._database.php	(revision 5656)
@@ -0,0 +1,146 @@
+<?php
+class _database {
+	private $link		= false;
+	private $result		= false;
+	private $row		= false;
+
+	public $settings	= array(
+			"servername"=> "localhost",
+			"serverport"=> "3306",
+			"username"	=> false,
+			"password"	=> false,
+			"database"	=> false,
+			"persist"	=> false,
+			"dieonerror"=> false,
+			"showerror"	=> false,
+			"error_file"=> true
+		);
+
+	function __construct() {
+		global $db_config;
+		$this->settings = array_merge($this->settings, $db_config);
+		if($this->settings["error_file"] === true) $this->settings["error_file"] = dirname(__FILE__)."/__mysql_errors.log";
+	}
+
+	function connect() {
+		if (!$this->link) {
+			$this->link = ($this->settings["persist"]) ? 
+				mysql_pconnect(
+					$this->settings["servername"].":".$this->settings["serverport"], 
+					$this->settings["username"], 
+					$this->settings["password"]
+				) : 
+				mysql_connect(
+					$this->settings["servername"].":".$this->settings["serverport"], 
+					$this->settings["username"], 
+					$this->settings["password"]
+				) or $this->error();
+		}
+		if (!mysql_select_db($this->settings["database"], $this->link)) $this->error();
+		if($this->link) mysql_query("SET NAMES 'utf8'");
+		return ($this->link) ? true : false;
+	}
+
+	function query($sql) {
+		if (!$this->link && !$this->connect()) $this->error();
+		if (!($this->result = mysql_query($sql, $this->link))) $this->error($sql);
+		return ($this->result) ? true : false;
+	}
+	
+	function nextr() {
+		if(!$this->result) {
+			$this->error("No query pending");
+			return false;
+		}
+		unset($this->row);
+		$this->row = mysql_fetch_array($this->result, MYSQL_BOTH);
+		return ($this->row) ? true : false ;
+	}
+
+	function get_row($mode = "both") {
+		if(!$this->row) return false;
+
+		$return = array();
+		switch($mode) {
+			case "assoc":
+				foreach($this->row as $k => $v) {
+					if(!is_int($k)) $return[$k] = $v;
+				}
+				break;
+			case "num":
+				foreach($this->row as $k => $v) {
+					if(is_int($k)) $return[$k] = $v;
+				}
+				break;
+			default:
+				$return = $this->row;
+				break;
+		}
+		return array_map("stripslashes",$return);
+	}
+
+	function get_all($mode = "both", $key = false) {
+		if(!$this->result) {
+			$this->error("No query pending");
+			return false;
+		}
+		$return = array();
+		while($this->nextr()) {
+			if($key !== false) $return[$this->f($key)] = $this->get_row($mode);
+			else $return[] = $this->get_row($mode);
+		}
+		return $return;
+	}
+
+	function f($index) {
+		return stripslashes($this->row[$index]);
+	}
+
+	function go_to($row) {
+		if(!$this->result) {
+			$this->error("No query pending");
+			return false;
+		}
+		if(!mysql_data_seek($this->result, $row)) $this->error();
+	}
+
+	function nf() {
+		if ($numb = mysql_num_rows($this->result) === false) $this->error();
+		return mysql_num_rows($this->result);
+	}
+	function af() {
+		return mysql_affected_rows();
+	}
+	function error($string="") {
+		$error = mysql_error();
+		if($this->settings["show_error"]) echo $error;
+		if($this->settings["error_file"] !== false) {
+			$handle = @fopen($this->settings["error_file"], "a+");
+			if($handle) {
+				@fwrite($handle, "[".date("Y-m-d H:i:s")."] ".$string." <".$error.">\n");
+				@fclose($handle);
+			}
+		}
+		if($this->settings["dieonerror"]) {
+			if(isset($this->result)) mysql_free_result($this->result);
+			mysql_close($this->link);
+			die();
+		}
+	}
+	function insert_id() {
+		if(!$this->link) return false;
+		return mysql_insert_id();
+	}
+	function escape($string){
+		if(!$this->link) return addslashes($string);
+		return mysql_real_escape_string($string);
+	}
+
+	function destroy(){
+		if (isset($this->result)) mysql_free_result($this->result);
+		if (isset($this->link)) mysql_close($this->link);
+	}
+
+
+}
+?>
\ No newline at end of file

Index: lib/style/skins/semtools/jsTree/_demo/config.php
===================================================================
--- lib/style/skins/semtools/jsTree/_demo/config.php	(nonexistent)
+++ lib/style/skins/semtools/jsTree/_demo/config.php	(revision 5656)
@@ -0,0 +1,14 @@
+<?php
+// Database config & class
+$db_config = array(
+	"servername"=> "localhost",
+	"username"	=> "root",
+	"password"	=> "",
+	"database"	=> "jstree"
+);
+if(extension_loaded("mysqli")) require_once("_inc/class._database_i.php"); 
+else require_once("_inc/class._database.php"); 
+
+// Tree class
+require_once("_inc/class.tree.php"); 
+?>
\ No newline at end of file

Index: lib/style/skins/semtools/jsTree/_demo/server.php
===================================================================
--- lib/style/skins/semtools/jsTree/_demo/server.php	(nonexistent)
+++ lib/style/skins/semtools/jsTree/_demo/server.php	(revision 5656)
@@ -0,0 +1,69 @@
+<?php
+require_once("config.php");
+$jstree = new json_tree();
+
+//$jstree->_create_default();
+//die();
+
+if(isset($_GET["reconstruct"])) {
+	$jstree->_reconstruct();
+	die();
+}
+if(isset($_GET["analyze"])) {
+	echo $jstree->_analyze();
+	die();
+}
+
+if($_REQUEST["operation"] && strpos("_", $_REQUEST["operation"]) !== 0 && method_exists($jstree, $_REQUEST["operation"])) {
+	header("HTTP/1.0 200 OK");
+	header('Content-type: text/json; charset=utf-8');
+	header("Cache-Control: no-cache, must-revalidate");
+	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
+	header("Pragma: no-cache");
+	echo $jstree->{$_REQUEST["operation"]}($_REQUEST);
+	die();
+}
+header("HTTP/1.0 404 Not Found"); 
+?>
+
+<?php
+/*
+$jstree->_drop();
+$jstree->create_node(array("id"=>0,"position"=>0));
+$jstree->create_node(array("id"=>1,"position"=>0));
+$jstree->create_node(array("id"=>1,"position"=>0));
+$jstree->create_node(array("id"=>3,"position"=>0,"name"=>"Pesho"));
+$jstree->move(3,2,0,true);
+$jstree->_dump(true);
+$jstree->_reconstruct();
+echo $jstree->_analyze();
+die();
+
+$tree = new _tree_struct;
+$tree->drop();
+$tree->create(0, 0);
+$tree->create(0, 0);
+$tree->create(1, 0);
+$tree->create(0, 3);
+$tree->create(2, 3);
+$tree->create(2, 0);
+$tree->dump(true);
+$tree->move(6,4,0);
+$tree->move(1,0,0);
+$tree->move(3,2,99,true);
+$tree->move(7,1,0,true);
+$tree->move(1,7,0);
+$tree->move(1,0,1,true);
+$tree->move(2, 0, 0, true);
+$tree->move(13, 12, 2, true);
+$tree->dump(true);
+$tree->move(15, 16, 2, true);
+$tree->dump(true);
+$tree->move(4, 0, 0);
+$tree->dump(true);
+$tree->move(4, 0, 2);
+$tree->dump(true);
+echo $tree->analyze();
+$tree->drop();
+*/
+?>
\ No newline at end of file

Index: lib/style/skins/semtools/jsTree/_lib/jquery.hotkeys.js
===================================================================
--- lib/style/skins/semtools/jsTree/_lib/jquery.hotkeys.js	(nonexistent)
+++ lib/style/skins/semtools/jsTree/_lib/jquery.hotkeys.js	(revision 5656)
@@ -0,0 +1,99 @@
+/*
+ * jQuery Hotkeys Plugin
+ * Copyright 2010, John Resig
+ * Dual licensed under the MIT or GPL Version 2 licenses.
+ *
+ * Based upon the plugin by Tzury Bar Yochay:
+ * http://github.com/tzuryby/hotkeys
+ *
+ * Original idea by:
+ * Binny V A, http://www.openjs.com/scripts/events/keyboard_shortcuts/
+*/
+
+(function(jQuery){
+	
+	jQuery.hotkeys = {
+		version: "0.8",
+
+		specialKeys: {
+			8: "backspace", 9: "tab", 13: "return", 16: "shift", 17: "ctrl", 18: "alt", 19: "pause",
+			20: "capslock", 27: "esc", 32: "space", 33: "pageup", 34: "pagedown", 35: "end", 36: "home",
+			37: "left", 38: "up", 39: "right", 40: "down", 45: "insert", 46: "del", 
+			96: "0", 97: "1", 98: "2", 99: "3", 100: "4", 101: "5", 102: "6", 103: "7",
+			104: "8", 105: "9", 106: "*", 107: "+", 109: "-", 110: ".", 111 : "/", 
+			112: "f1", 113: "f2", 114: "f3", 115: "f4", 116: "f5", 117: "f6", 118: "f7", 119: "f8", 
+			120: "f9", 121: "f10", 122: "f11", 123: "f12", 144: "numlock", 145: "scroll", 191: "/", 224: "meta"
+		},
+	
+		shiftNums: {
+			"`": "~", "1": "!", "2": "@", "3": "#", "4": "$", "5": "%", "6": "^", "7": "&", 
+			"8": "*", "9": "(", "0": ")", "-": "_", "=": "+", ";": ": ", "'": "\"", ",": "<", 
+			".": ">",  "/": "?",  "\\": "|"
+		}
+	};
+
+	function keyHandler( handleObj ) {
+		// Only care when a possible input has been specified
+		if ( typeof handleObj.data !== "string" ) {
+			return;
+		}
+		
+		var origHandler = handleObj.handler,
+			keys = handleObj.data.toLowerCase().split(" ");
+	
+		handleObj.handler = function( event ) {
+			// Don't fire in text-accepting inputs that we didn't directly bind to
+			if ( this !== event.target && (/textarea|select/i.test( event.target.nodeName ) ||
+				 event.target.type === "text") ) {
+				return;
+			}
+			
+			// Keypress represents characters, not special keys
+			var special = event.type !== "keypress" && jQuery.hotkeys.specialKeys[ event.which ],
+				character = String.fromCharCode( event.which ).toLowerCase(),
+				key, modif = "", possible = {};
+
+			// check combinations (alt|ctrl|shift+anything)
+			if ( event.altKey && special !== "alt" ) {
+				modif += "alt+";
+			}
+
+			if ( event.ctrlKey && special !== "ctrl" ) {
+				modif += "ctrl+";
+			}
+			
+			// TODO: Need to make sure this works consistently across platforms
+			if ( event.metaKey && !event.ctrlKey && special !== "meta" ) {
+				modif += "meta+";
+			}
+
+			if ( event.shiftKey && special !== "shift" ) {
+				modif += "shift+";
+			}
+
+			if ( special ) {
+				possible[ modif + special ] = true;
+
+			} else {
+				possible[ modif + character ] = true;
+				possible[ modif + jQuery.hotkeys.shiftNums[ character ] ] = true;
+
+				// "$" can be triggered as "Shift+4" or "Shift+$" or just "$"
+				if ( modif === "shift+" ) {
+					possible[ jQuery.hotkeys.shiftNums[ character ] ] = true;
+				}
+			}
+
+			for ( var i = 0, l = keys.length; i < l; i++ ) {
+				if ( possible[ keys[i] ] ) {
+					return origHandler.apply( this, arguments );
+				}
+			}
+		};
+	}
+
+	jQuery.each([ "keydown", "keyup", "keypress" ], function() {
+		jQuery.event.special[ this ] = { add: keyHandler };
+	});
+
+})( jQuery );
\ No newline at end of file

Index: lib/style/skins/semtools/jsTree/_lib/jquery.cookie.js
===================================================================
--- lib/style/skins/semtools/jsTree/_lib/jquery.cookie.js	(nonexistent)
+++ lib/style/skins/semtools/jsTree/_lib/jquery.cookie.js	(revision 5656)
@@ -0,0 +1,96 @@
+/**
+ * Cookie plugin
+ *
+ * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
+ * Dual licensed under the MIT and GPL licenses:
+ * http://www.opensource.org/licenses/mit-license.php
+ * http://www.gnu.org/licenses/gpl.html
+ *
+ */
+
+/**
+ * Create a cookie with the given name and value and other optional parameters.
+ *
+ * @example $.cookie('the_cookie', 'the_value');
+ * @desc Set the value of a cookie.
+ * @example $.cookie('the_cookie', 'the_value', { expires: 7, path: '/', domain: 'jquery.com', secure: true });
+ * @desc Create a cookie with all available options.
+ * @example $.cookie('the_cookie', 'the_value');
+ * @desc Create a session cookie.
+ * @example $.cookie('the_cookie', null);
+ * @desc Delete a cookie by passing null as value. Keep in mind that you have to use the same path and domain
+ *       used when the cookie was set.
+ *
+ * @param String name The name of the cookie.
+ * @param String value The value of the cookie.
+ * @param Object options An object literal containing key/value pairs to provide optional cookie attributes.
+ * @option Number|Date expires Either an integer specifying the expiration date from now on in days or a Date object.
+ *                             If a negative value is specified (e.g. a date in the past), the cookie will be deleted.
+ *                             If set to null or omitted, the cookie will be a session cookie and will not be retained
+ *                             when the the browser exits.
+ * @option String path The value of the path atribute of the cookie (default: path of page that created the cookie).
+ * @option String domain The value of the domain attribute of the cookie (default: domain of page that created the cookie).
+ * @option Boolean secure If true, the secure attribute of the cookie will be set and the cookie transmission will
+ *                        require a secure protocol (like HTTPS).
+ * @type undefined
+ *
+ * @name $.cookie
+ * @cat Plugins/Cookie
+ * @author Klaus Hartl/klaus.hartl@stilbuero.de
+ */
+
+/**
+ * Get the value of a cookie with the given name.
+ *
+ * @example $.cookie('the_cookie');
+ * @desc Get the value of a cookie.
+ *
+ * @param String name The name of the cookie.
+ * @return The value of the cookie.
+ * @type String
+ *
+ * @name $.cookie
+ * @cat Plugins/Cookie
+ * @author Klaus Hartl/klaus.hartl@stilbuero.de
+ */
+jQuery.cookie = function(name, value, options) {
+    if (typeof value != 'undefined') { // name and value given, set cookie
+        options = options || {};
+        if (value === null) {
+            value = '';
+            options.expires = -1;
+        }
+        var expires = '';
+        if (options.expires && (typeof options.expires == 'number' || options.expires.toUTCString)) {
+            var date;
+            if (typeof options.expires == 'number') {
+                date = new Date();
+                date.setTime(date.getTime() + (options.expires * 24 * 60 * 60 * 1000));
+            } else {
+                date = options.expires;
+            }
+            expires = '; expires=' + date.toUTCString(); // use expires attribute, max-age is not supported by IE
+        }
+        // CAUTION: Needed to parenthesize options.path and options.domain
+        // in the following expressions, otherwise they evaluate to undefined
+        // in the packed version for some reason...
+        var path = options.path ? '; path=' + (options.path) : '';
+        var domain = options.domain ? '; domain=' + (options.domain) : '';
+        var secure = options.secure ? '; secure' : '';
+        document.cookie = [name, '=', encodeURIComponent(value), expires, path, domain, secure].join('');
+    } else { // only name given, get cookie
+        var cookieValue = null;
+        if (document.cookie && document.cookie != '') {
+            var cookies = document.cookie.split(';');
+            for (var i = 0; i < cookies.length; i++) {
+                var cookie = jQuery.trim(cookies[i]);
+                // Does this cookie string begin with the name we want?
+                if (cookie.substring(0, name.length + 1) == (name + '=')) {
+                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
+                    break;
+                }
+            }
+        }
+        return cookieValue;
+    }
+};
\ No newline at end of file

Index: lib/style/skins/semtools/index.jsp
===================================================================
--- lib/style/skins/semtools/index.jsp	(revision 5655)
+++ lib/style/skins/semtools/index.jsp	(revision 5656)
@@ -41,43 +41,75 @@
                     	    //var BP_SITE = "Sandbox";
                     	    //var BP_ORG = "OOR";
                     	  </script>
-<script language="Javascript" type="text/JavaScript"
-	src="<%=STYLE_SKINS_URL%>/semtools/bioportal/form_complete.js">
-</script>
-
+<!--  
+<script language="Javascript" type="text/JavaScript" src="<%=STYLE_SKINS_URL%>/semtools/bioportal/form_complete.js"></script>
+-->
+<script language="javascript" type="text/javascript" src="<%=STYLE_SKINS_URL%>/semtools/jsTree/_lib/jquery.js"></script>
+<script language="javascript" type="text/javascript" src="<%=STYLE_SKINS_URL%>/semtools/jsTree/_lib/jquery.cookie.js"></script>
+<script language="javascript" type="text/javascript" src="<%=STYLE_SKINS_URL%>/semtools/jsTree/jquery.jstree.js"></script>
 <script language="javascript" type="text/javascript" src="<%=STYLE_SKINS_URL%>/semtools/semtools.js"></script>
 <script language="javascript" type="text/javascript" src="<%=STYLE_COMMON_URL%>/branding.js"></script>
 
-<script language="Javascript" type="text/JavaScript">
+<script language="Javascript" type="text/JavaScript"><!--
 function populateActiveDomain(divId, class) {
-	var entity = $("#activeEntities").val() ? $("#activeEntities").val() : "";
-	var characteristic = $("#activeCharacteristics").val() ? $("#activeCharacteristics").val() : "";
-	var protocol = $("#activeProtocols").val() ? $("#activeProtocols").val() : "";
-	var measurement = $("#activeMeasurements").val() ? $("#activeMeasurements").val() : "";
+	// collect the filtering values we have so far
+	// these are hidden input fields in the form for holding the selected values
+	var entity = $("#activeEntitiesValue").val() ? $("#activeEntitiesValue").val() : "";
+	var characteristic = $("#activeCharacteristicsValue").val() ? $("#activeCharacteristicsValue").val() : "";
+	var protocol = $("#activeProtocolsValue").val() ? $("#activeProtocolsValue").val() : "";
+	var measurement = $("#activeMeasurementsValue").val() ? $("#activeMeasurementsValue").val() : "";
 	
-	var originalValue = $("#" + divId).val();
+	// TODO: remember the selected value for this when filtering by active domain
+	var selectedNode = $("#" + divId).jstree("get_selected", $("#" + divId));
+	var selectedNodeId = $(selectedNode).attr("id");
+	//alert(divId + " selected node: " + selectedNodeId);
+	
+	// load the tree for the given div, passing in the other filtered values
 	$("#" + divId).load(
-	"<%=SERVLET_URL%>", 
-	{
-		'action': "getactivedomain",
-		'class': class,
-		'entity': entity,
-		'characteristic': characteristic,
-		'protocol': protocol,
-		'measurement': measurement
-	}, 
-	function(response, status, xhr) {
-	  if (status == "error") {
-	    var msg = "Sorry but there was an error: ";
-	    $("#error").html(msg + xhr.status + " " + xhr.statusText);
-	  }
-	  // set the original selected value
-	  $("#" + divId).val(originalValue);
-	});
+		"<%=SERVLET_URL%>", 
+		{
+			'action': "getactivedomain",
+			'class': class,
+			'entity': entity,
+			'characteristic': characteristic,
+			'protocol': protocol,
+			'measurement': measurement
+		},
+		// call back function when loading finishes
+		function(response, status, xhr) {
+			//alert("callback for: " + divId + " selected node: " + selectedNodeId);
+			// error
+			if (status == "error") {
+				var msg = "Sorry but there was an error: ";
+				$("#error").html(msg + xhr.status + " " + xhr.statusText);
+			}
+ 
+			// make it a js tree
+			$(function () {
+				$("#" + divId)
+					.jstree({
+						"ui" : {
+							"select_limit" : 1,
+							"select_multiple_modifier" : "alt",
+							"selected_parent_close" : "select_parent"//,
+							//"initially_select" : [ selectedNodeId ]
+						},				
+						//"core" : { "initially_open" : [ selectedNodeId ] },
+						"plugins" : [ "themes", "html_data", "ui", "cookies" ]
+					});
+			});
+
+			// TODO: try to select the original node after refresh with active domain
+			//$("#" + divId).jstree("open_node", $(selectedNode));
+			//$("#" + divId).jstree("select_node", $(selectedNode));
+		});
 }
 function initialize(source) {
+	// we don't want to reload the source of the filtering request
+	// but we do want to reload the other trees for active domains
+	// we reload all of them if no source is given - first time the page loads
 	if (source) {
-		source = source.id;
+		source = $(source).attr("id");
 	}
 	if (!source) {
 		source = "";
@@ -86,23 +118,39 @@
 		populateActiveDomain('activeEntities', 'org.ecoinformatics.sms.annotation.Entity');
 	}
 	if (source != 'activeCharacteristics') {
-		var v = $('#activeCharacteristics').val();
 		populateActiveDomain('activeCharacteristics', 'org.ecoinformatics.sms.annotation.Characteristic');
-		$('#activeCharacteristics').val(v);
 	}
 	if (source != 'activeProtocols') {
-		var v = $('#activeProtocols').val();
 		populateActiveDomain('activeProtocols', 'org.ecoinformatics.sms.annotation.Protocol');
-		$('#activeProtocols').val(v);
 	}
 	if (source != 'activeMeasurements') {
-		var v = $('#activeMeasurements').val();
 		populateActiveDomain('activeMeasurements', 'org.ecoinformatics.sms.annotation.Measurement');
-		$('#activeMeasurements').val(v);
 	}
 }
-</script>
+function select(item) {
 
+	// get the selected value, stored in the title attribute of the item <a> tag
+	var value = $(item).attr("title");
+	//alert("value: " + value);
+	
+	// get the parent div so we know what kind of class it is meant to filter
+	// this is "the first parent of the class 'select'"
+	var parent = $(item).parents("div.select:first");
+	//alert("parent: " + parent);
+	
+	// set the value for the hidden input value
+	// the input field of class "value" will hold it, this way we don't need to know the id
+	var input = $(parent).children("input.value");
+	$(input).val(value);
+	//alert("input: " + input);
+
+	// refresh the other trees for active domain after this filtering action
+	// TODO actually do the active domain filtering when selection is made
+	//initialize($(parent).children("div"));
+}
+function donothing() {}
+--></script>
+
 </head>
 <body onload="initialize()">
 <script language="javascript">
@@ -149,10 +197,13 @@
 					</tr>
 					<tr>
 						<td>
-							<select name="activeMeasurements" id="activeMeasurements" multiple="multiple" size="5" style="width: 100%" onchange="initialize(this)">
-								<option>loading...</option>
-							</select>
-							<input type="hidden" name="activeMeasurementsClass" id="activeMeasurementsClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Measurement"/>
+							<div class="select">
+								<div name="activeMeasurements" id="activeMeasurements" multiple="multiple" size="5" style="width: 100%" onchange="initialize(this)">
+									<p>loading...</p>
+								</div>
+								<input type="hidden" class="value" name="activeMeasurementsValue" id="activeMeasurementsValue"/>
+								<input type="hidden" name="activeMeasurementsClass" id="activeMeasurementsClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Measurement"/>
+							</div>
 						</td>
 					</tr>
 					<tr>
@@ -177,16 +228,17 @@
 					</tr>
 					<tr>
 						<td>
-							(a)
-							<select name="activeEntities" id="activeEntities" multiple="multiple" size="5" style="width: 216px" onchange="initialize(this)">
-								<option>loading...</option>
-							</select>
-							<input type="hidden" name="activeEntitiesClass" id="activeEntitiesClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Entity"/>
+							<div class="select">
+								<div name="activeEntities" id="activeEntities" multiple="multiple" size="5" style="width: 216px" onchange="initialize(this)">
+									<p>loading...</p>
+								</div>
+								<input type="hidden" class="value" name="activeEntitiesValue" id="activeEntitiesValue"/>
+								<input type="hidden" name="activeEntitiesClass" id="activeEntitiesClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Entity"/>
+							</div>
 						</td>
 					</tr>
 					<tr>
 						<td colspan="1">
-							(b)
 							<input type="text" name="dynamicValue" id="dynamicValue" class="bp_form_complete-all-uri" size="30" />
 							<input type="hidden" name="dynamicClass" id="dynamicClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Entity"/>
 						</td>
@@ -205,10 +257,13 @@
 					</tr>
 					<tr>
 						<td>
-							<select name="activeCharacteristics" id="activeCharacteristics" multiple="multiple" size="5" style="width: 216px" onchange="initialize(this)">
-								<option>loading...</option>
-							</select>
-							<input type="hidden" name="activeCharacteristicsClass" id="activeCharacteristicsClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Characteristic"/>
+							<div class="select">
+								<div name="activeCharacteristics" id="activeCharacteristics" multiple="multiple" size="5" style="width: 216px" onchange="initialize(this)">
+									<p>loading...</p>
+								</div>
+								<input type="hidden" class="value" name="activeCharacteristicsValue" id="activeCharacteristicsValue"/>
+								<input type="hidden" name="activeCharacteristicsClass" id="activeCharacteristicsClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Characteristic"/>
+							</div>
 						</td>
 					</tr>
 					<tr>
@@ -219,38 +274,10 @@
 					</tr>
 				</table>
 			</td>
-			<!-- removing Standard
 			<td>
 				<table class="subGroup subGroup_border">
 					<tr>
 						<th colspan="1">
-							Standard
-						</th>
-					</tr>
-					<tr>
-						<td>were recorded in units of</td>
-					</tr>
-					<tr>
-						<td>
-							<select name="activeStandards" id="activeStandards" multiple="multiple" size="5" style="width: 216px" onchange="initialize(this)">
-								<option>loading...</option>
-							</select>
-							<input type="hidden" name="activeStandardsClass" id="activeStandardsClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Standard"/>
-						</td>
-					</tr>
-					<tr>
-						<td colspan="1">
-							<input type="text" name="dynamicValue" id="dynamicValue" class="bp_form_complete-all-uri" size="30" />
-							<input type="hidden" name="dynamicClass" id="dynamicClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Standard"/>
-						</td>
-					</tr>
-				</table>
-			</td>
-			-->
-			<td>
-				<table class="subGroup subGroup_border">
-					<tr>
-						<th colspan="1">
 							Protocol
 						</th>
 					</tr>
@@ -259,10 +286,13 @@
 					</tr>
 					<tr>
 						<td>
-							<select name="activeProtocols" id="activeProtocols" multiple="multiple" size="5" style="width: 216px" onchange="initialize(this)">
-								<option>loading...</option>
-							</select>
-							<input type="hidden" name="activeProtocolsClass" id="activeProtocolsClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Protocol"/>
+							<div class="select">
+								<div name="activeProtocols" id="activeProtocols" multiple="multiple" size="5" style="width: 216px" onchange="initialize(this)">
+									<p>loading...</p>
+								</div>
+								<input type="hidden" class="value" name="activeProtocolsValue" id="activeProtocolsValue" />
+								<input type="hidden" name="activeProtocolsClass" id="activeProtocolsClass" value="http://ecoinformatics.org/oboe/oboe.1.0/oboe-core.owl#Protocol"/>
+							</div>
 						</td>
 					</tr>
 					<tr>
